package com.compsych.managedbeans;

import java.io.Serializable;
import java.util.Map;

import javax.faces.context.FacesContext;
import javax.inject.Named;

import org.apache.commons.lang.exception.ExceptionUtils;
import org.springframework.context.annotation.Scope;

import com.compsych.web.context.GlobalExceptionHandler;

@Named("errorBean")
@Scope("request")
public class ErrorBean implements Serializable {

    private static final long serialVersionUID = 1L;

    public String getStackTrace() {

        FacesContext context = FacesContext.getCurrentInstance();
        Map<String, Object> request = context.getExternalContext().getRequestMap();
        Throwable ex = (Throwable)request.get(GlobalExceptionHandler.HANDLED_EXCEPTION);
        return ExceptionUtils.getFullStackTrace(ex);
    }
}
